Extending Qt Creator Manual | OpenProjectResult

Extending Qt Creator Manual 4.3.0

# OpenProjectResult Class

(ProjectExplorer::ProjectExplorerPlugin::OpenProjectResult)

- List of all members, including inherited members

## Public Functions

| OpenProjectResult(QList<Project *> projects, QList<Project *> alreadyOpen, const QString &errorMessage)
QList<Project *> | alreadyOpen() const
QString | errorMessage() const
Project * | project() const
QList<Project *> | projects() const
| operator bool() const

## Member Function Documentation

### OpenProjectResult::OpenProjectResult(QList<Project *> projects, QList<Project *> alreadyOpen, const QString &errorMessage)

Default constructs an instance of OpenProjectResult.

### QList<Project *> OpenProjectResult::alreadyOpen() const

### QString OpenProjectResult::errorMessage() const

### Project *OpenProjectResult::project() const

### QList<Project *> OpenProjectResult::projects() const

### OpenProjectResult::operator bool() const